#define VALUE_NOT_FOUND 0xFFFFFFF

static const int64_t AV_SAMPLE_FMT_T_TAB[][2] = {
  {(1741061553), AV_SAMPLE_FMT_NONE},
  {(38023), AV_SAMPLE_FMT_U8},
  {(8276977), AV_SAMPLE_FMT_S16},
  {(8277861), AV_SAMPLE_FMT_S32},
  {(7010461), AV_SAMPLE_FMT_FLT},
  {(6807069), AV_SAMPLE_FMT_DBL},
  {(8479131), AV_SAMPLE_FMT_U8P},
  {(1845765873), AV_SAMPLE_FMT_S16P},
  {(1845963005), AV_SAMPLE_FMT_S32P},
  {(1563332805), AV_SAMPLE_FMT_FLTP},
  {(1517976389), AV_SAMPLE_FMT_DBLP},
  {(8279203), AV_SAMPLE_FMT_S64},
  {(1846262271), AV_SAMPLE_FMT_S64P},
};

#define AV_SAMPLE_FMT_T_TAB_LEN 13
enum AVSampleFormat SampleFormat_val(value v){
int i;
for(i=0;i<AV_SAMPLE_FMT_T_TAB_LEN;i++){
if(v==AV_SAMPLE_FMT_T_TAB[i][0])return AV_SAMPLE_FMT_T_TAB[i][1];
}
return VALUE_NOT_FOUND;
}
value Val_SampleFormat(enum AVSampleFormat t){
int i;
for(i=0;i<AV_SAMPLE_FMT_T_TAB_LEN; i++){
if(t==AV_SAMPLE_FMT_T_TAB[i][1])return AV_SAMPLE_FMT_T_TAB[i][0];
}
return VALUE_NOT_FOUND;
}
